/* fichalibro.cpp - Definiciones de los métodos
 * de la clase CFichaLibro
 */
#include "fichalibro.h" // clase CFichaLibro
using namespace std;

/////////////////////////////////////////////////////////////////
// Constructor
CFichaLibro::CFichaLibro(string ref, string tit, string aut,
  string edit) : CFicha(ref, tit)
{
  autor = aut;
  editorial = edit;
}

void CFichaLibro::AsignarAutor(string aut)
{
  autor = aut;
}

string CFichaLibro::ObtenerAutor() const
{
  return autor;
}

void CFichaLibro::AsignarEditorial(string edit)
{
  editorial = edit;
}

string CFichaLibro::ObtenerEditorial() const
{
  return editorial;
}

CFichaLibro *CFichaLibro::Clonar()
{
  return new CFichaLibro(*this);
}
/////////////////////////////////////////////////////////////////
